complexType "RateObservation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | resetDate?, adjustedFixingDate?, observedRate?, treatedRate?, observationWeight?, rateReference?, forecastRate?, treatedForecastRate?
</...>

Content Model Elements (8):

  adjustedFixingDate, forecastRate (defined in RateObservation complexType), observationWeight, observedRate (defined in RateObservation complexType), | rateReference, resetDate (defined in RateObservation complexType), treatedForecastRate, treatedRate

All Direct / Indirect Based Elements (2):

  rateObservation (in floatingRateDefinition), | rateObservation (in resetReport)

Known Usage Locations

- As direct type of elements (2):

  rateObservation (in floatingRateDefinition), | rateObservation (in resetReport)

Annotation
A type defining parameters associated with an individual observation or fixing. This type forms part of the cashflow representation of a stream.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="RateObservation"> <xsd:sequence> <xsd:element minOccurs="0" name="resetDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedFixingDate" type="xsd:date"/> <xsd:element minOccurs="0" name="observedRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="treatedRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="observationWeight" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="rateReference" type="RateReference"/> <xsd:element minOccurs="0" name="forecastRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="treatedForecastRate" type="xsd:decimal"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 8/8)
adjustedFixingDate

  Type: | xsd:date, predefined, simple content

  The adjusted fixing date, i.e. the actual date the rate is observed. The date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedFixingDate" type="xsd:date"/>

forecastRate

  Type: | xsd:decimal, predefined, simple content

  The value representing the forecast rate used to calculate the forecast future value of the accrual period.A value of 1% should be represented as 0.01
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="forecastRate" type="xsd:decimal"/>

observationWeight

  Type: | xsd:positiveInteger, predefined, simple content

  The number of days weighting to be associated with the rate observation, i.e. the number of days such rate is in effect. This is applicable in the case of a weighted average method of calculation where more than one reset date is established for a single calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationWeight" type="xsd:positiveInteger"/>

observedRate

  Type: | xsd:decimal, predefined, simple content

  The actual observed rate before any required rate treatment is applied, e.g. before converting a rate quoted on a discount basis to an equivalent yield. An observed rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observedRate" type="xsd:decimal"/>

rateReference

  Type: | RateReference, empty content

  A pointer style reference to a floating rate component defined as part of a stub calculation period amount component. It is only required when it is necessary to distinguish two rate observations for the same fixing date which could occur when linear interpolation of two different rates occurs for a stub calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateReference" type="RateReference"/>

resetDate

  Type: | xsd:date, predefined, simple content

  The reset date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="resetDate" type="xsd:date"/>

treatedForecastRate

  Type: | xsd:decimal, predefined, simple content

  The value representing the forecast rate after applying rate treatment rules. A value of 1% should be represented as 0.01
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="treatedForecastRate" type="xsd:decimal"/>

treatedRate

  Type: | xsd:decimal, predefined, simple content

  The observed rate after any required rate treatment is applied. A treated rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="treatedRate" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.